#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long v;
    cin >> v;
    long long br=0;
    int cif;
    int i=0;
    while (v!=0)
    {
        br++;
        cif = v % 10;
        v = v/10;
        if(cif==1)
            i++;
        if(cif==2)
            i++;
        if(cif==3)
            i=i+2;
        if(cif==4)
            i=i+2;
        if(cif==5)
            i++;
        if(cif==6)
            i=i+2;
        if(cif==7)
            i=i+2;
        if(cif==8)
            i=i+3;
        if(cif==9)
            i=i+3;
    }
    cout << i;
    return 0;
}